/**
 * Copyright (c) 2020, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

/**
 * Schema for the common namespace
 */
export interface CommonNS {
    access: string;
    active: string;
    add: string;
    addURL: string;
    all: string;
    applicationName: string;
    applications: string;
    approvalStatus: string;
    approve: string;
    assignees: string;
    authenticator: string;
    authenticator_plural: string;
    browser: string;
    cancel: string;
    close: string;
    challengeQuestionNumber: string;
    change: string;
    claim: string;
    completed: string;
    configure: string;
    confirm: string;
    contains: string;
    continue: string;
    createdOn: string;
    dangerZone: string;
    delete: string;
    description: string;
    deviceModel: string;
    docs: string;
    documentation: string;
    done: string;
    download: string;
    drag: string;
    duplicateURLError: string;
    edit: string;
    endsWith: string;
    equals: string;
    explore: string;
    export: string;
    filter: string;
    finish: string;
    goBackHome: string;
    help: string;
    hide: string;
    hidePassword: string;
    identityProviders: string;
    initiator: string;
    ipAddress: string;
    lastAccessed: string;
    lastSeen: string;
    lastUpdatedOn: string;
    loginTime: string;
    logout: string;
    maximize: string;
    minimize: string;
    more: string;
    myAccount: string;
    name: string;
    next: string;
    operatingSystem: string;
    operations: string;
    overview: string;
    personalInfo: string;
    pin: string;
    pinned: string;
    previous: string;
    priority: string;
    privacy: string;
    properties: string;
    ready: string;
    regenerate: string;
    removeAll: string;
    reject: string;
    release: string;
    remove: string;
    reserved: string;
    resetFilters: string;
    retry: string;
    revoke: string;
    revokeAll: string;
    samples: string;
    save: string;
    services: string;
    sdks: string;
    search: string;
    security: string;
    show: string;
    showAll: string;
    showLess: string;
    showMore: string;
    showPassword: string;
    startsWith: string;
    step: string;
    submit: string;
    switch: string;
    technologies: string;
    terminate: string;
    terminateAll: string;
    terminateSession: string;
    type: string;
    unpin: string;
    unpinned: string;
    update: string;
    user: string;
    verify: string;
    view: string;
}
