/**
 * Copyright (c) 2020, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

import { StoryCategories } from "../../hierarchy";
import { StoryMetaInterface } from "../../models";

export const meta: StoryMetaInterface = {
    components: [ "Hint" ],
    description: "Component to render UI hints.",
    stories: [
        {
            description: "Default Hint component appearance.",
            title: "Default"
        },
        {
            description: "Hint with an icon.",
            title: "With Icon"
        },
        {
            description: "Shows a hint inside a popup.",
            title: "As Popup"
        }
    ],
    title: `${ StoryCategories.COMPONENTS }/Hint`
};
